package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */

@TableName("MESSAGE_TYPE")

public class MessageType extends Model<MessageType> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("SITE")
   private String site;
   @TableField("MESSAGE_TYPE")
   private String messageType;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("SEVERITY")
   private String severity;
   @TableField("PROCESS_WORKFLOW_BO")
   private String processWorkflowBo;
   @TableField("ENABLED")
   private String enabled;
   @TableField("SUBJECT")
   private String subject;
   @TableField("BODY")
   private String body;
   @TableField("AUTO_CLOSE")
   private String autoClose;
   @TableField("AUTO_CLOSE_INTERVAL")
   private Long autoCloseInterval;
   @TableField("AUTO_CLOSE_INTERVAL_UNIT")
   private String autoCloseIntervalUnit;
   @TableField("AUTO_CLOSED_BY_WF")
   private String autoClosedByWf;
   @TableField("SIGNAL_FLAG")
   private String signalFlag;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getMessageType() {
      return messageType;
   }

   public void setMessageType(String messageType) {
      this.messageType = messageType;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getSeverity() {
      return severity;
   }

   public void setSeverity(String severity) {
      this.severity = severity;
   }

   public String getProcessWorkflowBo() {
      return processWorkflowBo;
   }

   public void setProcessWorkflowBo(String processWorkflowBo) {
      this.processWorkflowBo = processWorkflowBo;
   }

   public String getEnabled() {
      return enabled;
   }

   public void setEnabled(String enabled) {
      this.enabled = enabled;
   }

   public String getSubject() {
      return subject;
   }

   public void setSubject(String subject) {
      this.subject = subject;
   }

   public String getBody() {
      return body;
   }

   public void setBody(String body) {
      this.body = body;
   }

   public String getAutoClose() {
      return autoClose;
   }

   public void setAutoClose(String autoClose) {
      this.autoClose = autoClose;
   }

   public Long getAutoCloseInterval() {
      return autoCloseInterval;
   }

   public void setAutoCloseInterval(Long autoCloseInterval) {
      this.autoCloseInterval = autoCloseInterval;
   }

   public String getAutoCloseIntervalUnit() {
      return autoCloseIntervalUnit;
   }

   public void setAutoCloseIntervalUnit(String autoCloseIntervalUnit) {
      this.autoCloseIntervalUnit = autoCloseIntervalUnit;
   }

   public String getAutoClosedByWf() {
      return autoClosedByWf;
   }

   public void setAutoClosedByWf(String autoClosedByWf) {
      this.autoClosedByWf = autoClosedByWf;
   }

   public String getSignalFlag() {
      return signalFlag;
   }

   public void setSignalFlag(String signalFlag) {
      this.signalFlag = signalFlag;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String MESSAGE_TYPE = "MESSAGE_TYPE";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String SEVERITY = "SEVERITY";

public static final String PROCESS_WORKFLOW_BO = "PROCESS_WORKFLOW_BO";

public static final String ENABLED = "ENABLED";

public static final String SUBJECT = "SUBJECT";

public static final String BODY = "BODY";

public static final String AUTO_CLOSE = "AUTO_CLOSE";

public static final String AUTO_CLOSE_INTERVAL = "AUTO_CLOSE_INTERVAL";

public static final String AUTO_CLOSE_INTERVAL_UNIT = "AUTO_CLOSE_INTERVAL_UNIT";

public static final String AUTO_CLOSED_BY_WF = "AUTO_CLOSED_BY_WF";

public static final String SIGNAL_FLAG = "SIGNAL_FLAG";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "MessageType{" +
         "handle = " + handle +
         ", site = " + site +
         ", messageType = " + messageType +
         ", description = " + description +
         ", severity = " + severity +
         ", processWorkflowBo = " + processWorkflowBo +
         ", enabled = " + enabled +
         ", subject = " + subject +
         ", body = " + body +
         ", autoClose = " + autoClose +
         ", autoCloseInterval = " + autoCloseInterval +
         ", autoCloseIntervalUnit = " + autoCloseIntervalUnit +
         ", autoClosedByWf = " + autoClosedByWf +
         ", signalFlag = " + signalFlag +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}